using UnityEngine;

public static class ShaderExtensions {

    public static Material CreateHiddenMaterial(this Shader shader){
        var material = new Material(shader);
        material.hideFlags = HideFlags.HideAndDontSave;
        return material;
    }
}
